       SUBROUTINE UGDEFBLOCK
C
       IMPLICIT NONE
C
       include 'vols.inc'
       include 'materials.inc'
 
C The universe is a big box of air. The size of the universe
C is defined in the datacard using the keywork 'MVOL'
 
       INTEGER IVOL


C This'll create a tube with inner radius
C SCINTPAR(1), outer radius SCINTPAR(2), and 
C half length SCINTPAR(3)

        BLOCKPAR(1) = 0.
        BLOCKPAR(2) = 0.24 + LEADTHICKNESS
        BLOCKPAR(3) = 0.5 * (LEADTHICKNESS + 0.48)
        LIDPAR(3) = LIDHEIGHT/2.

        CALL GSVOLU('BLOC','TUBE', IMATLEAD, BLOCKPAR, 3,IVOL)

C Position this in the universe

      CALL GSPOS('BLOC',1,'HOLD',0.,0.,
     +              -(LIDPAR(3)),0,'ONLY')

       END
